import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUnicomCqWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2023-01-05 13:19
 */
interface PpUnicomCqWhiteLotCU extends ConditionUtil<PpUnicomCqWhiteLotCU> {
    LOT_ID: FieldUtil<PpUnicomCqWhiteLotCU>;
    CREATE_TIME: FieldUtil<PpUnicomCqWhiteLotCU>;
}
declare class PpUnicomCqWhiteLotMU extends TableUtilImpl<PpUnicomCqWhiteLotCU, PpUnicomCqWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUnicomCqWhiteLotCU;
    static get LOT_ID(): FieldUtil<PpUnicomCqWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<PpUnicomCqWhiteLotCU>;
    get LOT_ID(): FieldUtil<PpUnicomCqWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<PpUnicomCqWhiteLotCU>;
}
export { PpUnicomCqWhiteLotMU, PpUnicomCqWhiteLotCU };
